#include once "fltk-c.bi"

'test of:
' Fl_BoxNew         http://www.fltk.org/doc-1.3/classFl__Box.html
' Fl_ImageNew       http://www.fltk.org/doc-1.3/classFl__Image.html
' Fl_BMP_ImageNew   http://www.fltk.org/doc-1.3/classFl__BMP__Image.html
' Fl_PNG_ImageNew   http://www.fltk.org/doc-1.3/classFl__PNG__Image.html
' Fl_JPEG_ImageNew  http://www.fltk.org/doc-1.3/classFl__JPEG__Image.html
' Fl_WidgetSetImage http://www.fltk.org/doc-1.3/classFl__Widget.html#aff29d81e64b617158472f38d2cac186e

dim as Fl_Window ptr win = Fl_WindowNew(562,148,"BMP PNG GIF JPEG extends Fl_Image")
Fl_WidgetSetImage Fl_BoxNew( 10,10,128,128), Fl_BMP_ImageNew("media/renata.bmp")
Fl_WidgetSetImage Fl_BoxNew(148,10,128,128), Fl_PNG_ImageNew("media/renata.png")
Fl_WidgetSetImage Fl_BoxNew(286,10,128,128), Fl_GIF_ImageNew("media/renata.gif")
Fl_WidgetSetImage Fl_BoxNew(424,10,128,128), Fl_JPEG_ImageNew("media/renata.jpg")


Fl_windowShow win
Fl_Run
